crtp.h File Reference
`#include <utl/core/impl.h>`

Go to the source code of this file.

## Classes

struct | utl::crtp_tag
| CRTP support tag type. More...
struct | utl::virtual_tag
| virtual support tag type More...

## Namespaces

| utl
| STL's core language concepts.

## Macros

#define | _CRTP_IMPL(T)

## Macro Definition Documentation

## _CRTP_IMPL

#define _CRTP_IMPL | ( |  | T | ) |

Value:
constexpr T& impl() { return *static_cast<T*>(this); } \
constexpr const T& impl() const { return *static_cast<const T*>(this); }

Definition at line 43 of file crtp.h.